Change log for pykde4 package in Debian

125 of 25 results
Published in stretch-release on 2017-07-22
pykde4 (4:4.14.3-2+deb9u1) stable; urgency=medium

  * Team upload.
  * Drop bindings for plasma webview bindings: No longer functional due to
    QtWebKit being dropped from PyQt4 and obsolete (Closes: #865861)
    - Add debian/patches/no_webview_webkit.patch
    - Drop libqtwebkit-dev from build-depends

 -- Scott Kitterman <email address hidden>  Mon, 10 Jul 2017 14:00:50 -0400
Published in buster-release on 2017-07-17
Published in sid-release on 2017-06-27
pykde4 (4:4.14.3-3) unstable; urgency=medium

  * Team upload.
  * Drop bindings for plasma webview bindings: No longer functional due to
    QtWebKit being dropped from PyQt4 and obsolete (Closes: #865861)
    - Add debian/patches/no_webview_webkit.patch
    - Drop libqtwebkit-dev from build-depends

 -- Scott Kitterman <email address hidden>  Mon, 26 Jun 2017 14:47:34 -0400
Superseded in stretch-release on 2017-07-22
Superseded in sid-release on 2017-06-30
pykde4 (4:4.14.3-2) unstable; urgency=medium

  * Team upload.
  * Update Vcs-* fields.
  * Remove unused nepomuk-core-dev build dependency.
  * Fix spelling error in changelog entry of version 4:4.14.3-1.
  * Update lintian overrides.

 -- Pino Toscano <email address hidden>  Wed, 29 Jun 2016 19:54:23 +0200
Superseded in stretch-release on 2016-07-05
Superseded in sid-release on 2016-07-01
pykde4 (4:4.14.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Migrate from -dbg to -dbgsym
    - Drop -dbg from debian/control
    - Update debian/rules for dbgsym migration
  * Bump standards version to 3.9.8 without futher change

 -- Scott Kitterman <email address hidden>  Mon, 30 May 2016 13:07:12 -0400
Superseded in stretch-release on 2016-06-05
Published in jessie-release on 2014-08-30
Superseded in sid-release on 2016-05-31
pykde4 (4:4.14.0-1) unstable; urgency=medium


  * New upstream release.
  * Refresh patches.

 -- Maximiliano Curia <email address hidden>  Sun, 24 Aug 2014 04:54:50 +0200
Superseded in jessie-release on 2014-08-30
Superseded in sid-release on 2014-08-25
pykde4 (4:4.13.3-1) unstable; urgency=medium


  [ Dmitry Shachnev ]
  * Add a patch from Fedora (no_gl_defines.diff) to fix building against
    python-qt4 4.11.

  [ Maximiliano Curia ]
  * New upstream release.
  * Remove upstream applied patch: no_gl_defines.diff

 -- Maximiliano Curia <email address hidden>  Thu, 31 Jul 2014 16:30:28 +0200
Superseded in jessie-release on 2014-08-06
Superseded in sid-release on 2014-08-04
pykde4 (4:4.12.2-3) unstable; urgency=medium


  * Team upload.
  * Add a patch from Fedora (no_gl_defines.diff) to fix building against
    python-qt4 4.11.

 -- Dmitry Shachnev <email address hidden>  Sat, 07 Jun 2014 19:59:48 +0400
Deleted in experimental-release (Reason: None provided.)
pykde4 (4:4.13.1-1) experimental; urgency=medium


  * New upstream release.
  * Update build-dependencies.

 -- Maximiliano Curia <email address hidden>  Mon, 26 May 2014 13:22:34 +0200
Superseded in jessie-release on 2014-06-13
Superseded in sid-release on 2014-06-08
pykde4 (4:4.12.2-2) unstable; urgency=medium


  * Release to unstable

 -- Maximiliano Curia <email address hidden>  Mon, 28 Apr 2014 12:25:11 +0200
Deleted in experimental-release (Reason: None provided.)
pykde4 (4:4.12.2-1) experimental; urgency=medium


  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <email address hidden>  Mon, 10 Feb 2014 11:32:20 +0100
Superseded in jessie-release on 2014-05-05
Superseded in sid-release on 2014-05-17
pykde4 (4:4.11.5-1) unstable; urgency=low


  * New upstream release.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Maximiliano Curia <email address hidden>  Tue, 28 Jan 2014 11:59:32 +0100
Superseded in jessie-release on 2014-02-08
Superseded in sid-release on 2014-01-29
pykde4 (4:4.11.3-1) unstable; urgency=low


  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <email address hidden>  Sat, 09 Nov 2013 19:28:36 +0100
Deleted in experimental-release (Reason: None provided.)
pykde4 (4:4.11.2-1) experimental; urgency=low


  * New upstream release.
  * Refresh patches.

 -- Maximiliano Curia <email address hidden>  Wed, 09 Oct 2013 16:25:06 +0200
Superseded in jessie-release on 2013-12-02
Superseded in sid-release on 2014-01-29
pykde4 (4:4.10.5-1) unstable; urgency=low


  * New upstream release.
  * Add lintian override for python3-pykde4.
  * Add unused subst variables.

 -- Maximiliano Curia <email address hidden>  Fri, 12 Jul 2013 23:23:53 +0200
Deleted in experimental-release (Reason: None provided.)
pykde4 (4:4.10.4-1) experimental; urgency=low


  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.10.1.
  * Bump build dependencies on other KDE SC components to 4:4.10.
  * Add build depends on:
    - nepomuk-core-dev
    - pkg-config
  * Update patches:
    - update python_modules_dont_link_against_libpython.diff.
    - update add_qt_kde_definitions.diff.
    - update make_pykde4_respect_sip_flags.diff.
    - update optional_install_sip_files.diff.
    - refresh other patches to make them apply without any offset.
  * Update installed files and debian/not-installed.
  * Add watch file.
  * Add lintian overrides for hardening-no-fortify-functions.

  [ Maximiliano Curia ]
  * Add myself to uploaders.
  * Revert most version dependencies changes reshuffling build-deps.
  * Bump kdepimlibs-dev build-dep to 4:4.10.4.
  * Refresh patches.
  * Update python-kde4-dev install file.
  * Reverting build-dep versions changes made for reshuffle.

 -- Maximiliano Curia <email address hidden>  Fri, 14 Jun 2013 22:54:19 +0200
Superseded in jessie-release on 2013-08-26
Superseded in sid-release on 2013-07-19
pykde4 (4:4.8.4-2) unstable; urgency=low


  * Team upload
  * Updates for sip4 transition and python multiarch (Closes: #708857)
    - Bump minimum python-sip version to 4.14
    - Add debian/patches/new_pyincludes.diff (based on Kubuntu patch) to
      support multiple include directories for python3.3
    - Add debian/patches/cmake_no_bytecode.diff to temporarily disable
      byte compilation (which breaks python3 part of the build and is
      not needed - upstream has a better solution for 4.9+)
    - Add debian/patches/python3_sip_options.diff (from Kubuntu) to fix
      duplicate typedef with current python-qt4
      - Bump minimum python-qt4 and python-qt4-dev version to 4.9.4
    - Add debian/patches/pythonpluginfactory_python3.diff and
      kpythonpluginfactory_3.2support.diff, both from Kubuntu, to support
      building kpythonpluginfactory for python3 too
    - Adjust debian/rules to use the new include directories and to use
      appropriate ABI tags for python3 (Closes: #707148)
  * Add python-version-specific pykdeuic4 links to python-kde4-dev.install

 -- Scott Kitterman <email address hidden>  Fri, 17 May 2013 18:38:28 -0400
Superseded in jessie-release on 2013-05-27
Published in wheezy-release on 2012-06-27
Superseded in sid-release on 2013-05-23
pykde4 (4:4.8.4-1) unstable; urgency=low


  * Team upload
  * New upstream release
    - Drop debian/patches/python32_compile_fix.diff, incorporated upstream
    - Bump build-depends version for kde-sc-dev-latest to 4:4.8.3
  * Add python-dbg and python3-dbg to python-kde4-dbg and python3-kde4-dbg
    depends
  * Update debian/not-installed for python3 (change from Kubuntu)

 -- Scott Kitterman <email address hidden>  Sat, 16 Jun 2012 20:28:58 -0400
Superseded in wheezy-release on 2012-06-27
Superseded in sid-release on 2012-06-18
pykde4 (4:4.7.4-4) unstable; urgency=low


  * Team upload
  * Use dh_sip3 for Python 3 instead of dh_sip
    - Update debian/control (sip3:Depends for python3-pykde4)
    - Add override for dh_python3 to also run dh_sip3
  * Drop unneeded Breaks/Replaces on kdebindings-dbg for python3-pykde4-dbg
  * Drop redundant build-depends on python
  * Version python-all-dev build-depends to minimum version for dh_python2
  * Drop unneeded Provides

 -- Scott Kitterman <email address hidden>  Tue, 22 May 2012 09:43:25 -0400
Superseded in sid-release on 2012-05-24
pykde4 (4:4.7.4-3) unstable; urgency=low


  * Team upload.
  * Add new binary python3-pykde for Python 3 support (Closes: #672553)
    - Adjust debian/rules
    - Add debian/patches/python32_compile_fix.diff to support building with
      python3.2
    - Bump build-dep version for kde4libs to 4:4.7.4-6 due to patch added in
      that revision to support building with Python 3
    - Add Python 3 equivalent packages to build-depends
    - Thanks to Colin Watson for the patch
  * Bump standards version to 3.9.3 without further change

 -- Scott Kitterman <email address hidden>  Sun, 20 May 2012 16:06:19 -0400
Superseded in wheezy-release on 2012-06-02
Superseded in sid-release on 2012-06-02
pykde4 (4:4.7.4-2) unstable; urgency=low


  * Team upload. Upload to unstable.

 -- Ana Beatriz Guerrero Lopez <email address hidden>  Wed, 07 Mar 2012 14:06:55 +0100
Deleted in experimental-release (Reason: None provided.)
pykde4 (4:4.7.4-1) experimental; urgency=low


  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.4.
  * Bump shared-desktop-ontologies build dependency to 0.8.

 -- Debian Qt/KDE Maintainers <email address hidden>  Sun, 18 Dec 2011 01:38:40 +0100
Superseded in experimental-release on 2011-12-22
pykde4 (4:4.7.2-1) experimental; urgency=low


  [ Modestas Vainius ]
  * Bump python-qt4 dependencies to 4.8.3-3~ (dh_python2 based).
  * Remove a hack for python-qt4 python-support.
  * Really make python-kde4 break plasma-scriptengine-python (fix a typo).

  [ José Manuel Santamaría Lema ]
  * Require KDE SC 4.7.2.
  * Bump soprano build depend to 2.7.0.
  * Update not-installed file.

 -- Debian Qt/KDE Maintainers <email address hidden>  Sat, 03 Dec 2011 10:45:37 -0300
Superseded in wheezy-release on 2012-03-18
Superseded in sid-release on 2012-03-12
pykde4 (4:4.6.80-3) unstable; urgency=low
  * Add plasma-scriptengine-python (<< 4:4.6.5) to python-kde4 Breaks. Needed    as python-support based plasma-scriptengine-python does not work with    dh_python2 based python-kde4.  * Fix GitWeb Vcs URL.  * Move non-default python library to Suggests again.  * Introduce a hack to restore compatibility with python-support based    python-qt4. (Closes: #633499) -- Modestas Vainius <email address hidden>  Fri, 22 Jul 2011 12:10:12 +0300
Superseded in wheezy-release on 2011-09-21
Superseded in sid-release on 2011-09-20
pykde4 (4:4.6.80-2) unstable; urgency=low
  * "Bye bye to you, ugly monolithic kdebindings" release.  [ Pino Toscano ]  * Update the patches:    - refresh    - optional_install_sip_files.diff: fix small if()/endif() mismatch  * Small touches to the descriptions.  [ Modestas Vainius ]  * Upload to unstable. -- Debian Qt/KDE Maintainers <email address hidden>  Mon, 04 Jul 2011 15:56:07 +0300
Deleted in experimental-release (Reason: None provided.)
pykde4 (4:4.6.80-1) experimental; urgency=low
  * Initial standalone release: split off from kdebindings.  * Below you will find notable changes from previous kdebindings packaging.  [ Modestas Vainius ]  * Require KDE SC 4.6.3.  * Bump Standards-Version to 3.9.2: no changes needed.  * Switch debian/rules engine to dhmk based debian-qt-kde.mk.  * Pick pykde4 related patches from the kdebindings package and include them    in this package.  * Strip sequence numbers from the patch filenames.  * Clean up Uploaders list.  * Clean up Build-Depends list.  * Add libboost-dev to Build-Depends.  * Fix binNMUability of python-kde4-dev: depend on python-kde4 (>=    ${source:Version}) rather than ${binary:Version}. python-kde4-dev is    arch:all.  * Switch to dh_python2 (thanks to Scott Kitterman):    - drop python-support from Build-Depends;    - use python2 dh addon in place of python-support;    - drop XB-Python-Version control field and remove debian/pyversions;    - add "X-Python-Version: >= 2.5" to the source section;    - remove python-support specific hacks from debian/not-installed.  * Drop pydefault make variable, not used anymore.  * Execute pyversions "on demand".  * Drop ${python:Depends} from python-kde4-dev Depends.  * Add "Provides: ${python:Provides}" to python-kde4.  * Optimize $(pyversions) check.  * Improve python-kde4-doc description.  * Add lintian overrides for    usr/share/doc/python-kde4-doc/html/common/*-license. These are valid part    of documentation.  * Add kdebindings-dbg to python-kde4-dbg Breaks/Replaces.  * Update debian/coypright.  * Document all Debian patches.  * Replace include_default_settings_in_python_cmakelist.diff patch with    add_qt_kde_definitions.diff. Only add_definitions() part moved to the    proper place remains. -- Modestas Vainius <email address hidden>  Thu, 30 Jun 2011 21:29:02 +0300
125 of 25 results